## class OSGUTIL_EXPORT osgUtil::TransformCallback

## Inheritance:

### Public Methods

TransformCallback(const osg::Vec3& pivot, const osg::Vec3& axis, float angularVelocity)
virtual void operator() (osg::Node* node, osg::NodeVisitor* nv)

### Protected Fields

float _angular_velocity
osg::Vec3 _pivot
osg::Vec3 _axis
int _previousTraversalNumber
double _previousTime

## Documentation

`TransformCallback(const osg::Vec3& pivot, const osg::Vec3& axis, float angularVelocity)`

`virtual void operator() (osg::Node* node, osg::NodeVisitor* nv)`

`float _angular_velocity`

`osg::Vec3 _pivot`

`osg::Vec3 _axis`

`int _previousTraversalNumber`

`double _previousTime`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.